<?php

declare(strict_types=1);

namespace App\Controller\TblValorTipo;

use App\Service\TblValorTipoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblValorTipoService(): TblValorTipoService
    {
        return $this->container->get('TblValorTipo_service');
    }
}
